View Issue Details

IDProjectCategoryView StatusLast Update
0003137Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0003137: FT-991 noise blanker level slider range doesn't match radio; doesn't follow radio
DescriptionRig Control's "Noise blanker" level slider doesn't emulate the setting on the radio. The Rig Control slider shows a range of 0 to 100, but the radio uses a range of 0 to 10 (inclusive). Rig control can't be used to change the setting successfully.

Steps To Reproduce1) Fire up Rig Control. Connect to an FT-991
2) Make sure the "Noise Blanker" slider is visible in Rig Control with the "NB" icon in the "F" menu
3) Use the "NB" button on the radio to show the noise blanker level in the display
4) Rotate the Multi knob anti-clockwise to the minimum setting -- 0 is displayed
5) Note that Rig Control displays 0
6) Rotate the Multi knob clockwise to the maximum setting -- 10 is displayed

BUG#1) the Rig control slider hasn't moved

7) Move the Rig Control slider to 100

BUG#2) the radio shows a setting of 8

TagsNo tags attached.
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-01-29 15:29

manager   ~0007131

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4779

WA9PIE

2019-02-05 19:46

administrator   ~0007284

Validated

Issue History

Date Modified Username Field Change
2019-01-29 15:24 K7ZCZ New Issue
2019-01-29 15:29 K7ZCZ Assigned To => K7ZCZ
2019-01-29 15:29 K7ZCZ Status new => resolved
2019-01-29 15:29 K7ZCZ Resolution open => fixed
2019-01-29 15:29 K7ZCZ Note Added: 0007131
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 19:46 WA9PIE Status resolved => closed
2019-02-05 19:46 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.190
2019-02-05 19:46 WA9PIE Description Updated View Revisions
2019-02-05 19:46 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 19:46 WA9PIE Testing Not Started => Beta Successful
2019-02-05 19:46 WA9PIE Note Added: 0007284
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.190 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe